#ifndef ULTRASONIC_H
#define ULTRASONIC_H

#include <nodelet/nodelet.h>
#include <ros/ros.h>
#include "boost/thread.hpp"
#include "USS_SRF02.h"
#include <thread>
#include <logging/MessageOStream.h>

namespace car
{

class Ultrasonic :
    // public USS_SRF02,
    public nodelet::Nodelet
{
public:
    Ultrasonic();

    void onInit() override;

private:
    ros::NodeHandle nh;
    MessageOStream messageOStream;
    ros::Publisher ussData;
    std::thread sensorThread;
};

}
#endif
